Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688145 - Requirement `which` not declared
Summary: Requirement `which` not declared
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipenv
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-13 09:38 UTC by Peque
Modified: 2019-03-29 19:14 UTC (History)
1 user (show)

Fixed In Version: pipenv-2018.11.26-7.fc29 pipenv-2018.11.26-7.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 02:58:28 UTC


Attachments (Terms of Use)

Description Peque 2019-03-13 09:38:16 UTC
It seems Pipenv requires `which`, but it is not declared as a dependency.

I created a Docker image based on Fedora 29 (which, apparently, does not ship with `which`). Dockerfile:

```
FROM fedora:29

ENV LANG C.UTF-8

RUN dnf update -y \
    && dnf install -y \
        curl \
        gcc \
        gcc-c++ \
        git \
        pipenv \
        python3-tox \
        wget \
    && dnf clean all
```

Then, having a simple Pipfile:

```
[[source]]
name = "pypi"
url = "https://pypi.org/simple"
verify_ssl = true

[dev-packages]
pytest = "*"

[packages]
requests = "*"

[requires]
python_version = "3.7"
```

I can run `pipenv sync --dev` but then:

```
$ pipenv run pytest
Warning: the which -a system utility is required for Pipenv to find Python installations properly.
  Please install it.
Error: the command pytest could not be found within PATH or Pipfile's [scripts].
ERROR: Job failed: exit code 1
```

Comment 1 Peque 2019-03-13 09:39:04 UTC
PS: I am not sure whether or not I should report this at https://github.com/pypa/pipenv.

Comment 2 Miro Hrončok 2019-03-13 09:53:39 UTC
Probably not an upstream issue until you want to examine the docs and make a contribution to "how to install pipenv" section.

Comment 3 Fedora Update System 2019-03-13 16:38:06 UTC
pipenv-2018.11.26-7.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b28160b65c

Comment 4 Fedora Update System 2019-03-13 19:07:41 UTC
pipenv-2018.11.26-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a5a4db02c4

Comment 5 Fedora Update System 2019-03-14 20:59:11 UTC
pipenv-2018.11.26-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b28160b65c

Comment 6 Fedora Update System 2019-03-15 17:57:06 UTC
pipenv-2018.11.26-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a5a4db02c4

Comment 7 Fedora Update System 2019-03-29 02:58:28 UTC
pipenv-2018.11.26-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-03-29 19:14:53 UTC
pipenv-2018.11.26-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.